import { Node } from '@tiptap/core';
import { PluginKey } from 'prosemirror-state';
import { emojisToName } from '../wrappers/emoji-list/emojis';
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        emoji: {
            setEmoji: (emoji: {
                name: string;
                emoji: string;
            }) => ReturnType;
        };
    }
}
export declare const EmojiPluginKey: PluginKey<any>;
export { emojisToName };
export declare const Emoji: Node<any, any>;
