import { Node } from '@tiptap/core';
export interface TitleOptions {
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        title: {
            setTitle: (title: string) => ReturnType;
            toggleTitle: () => ReturnType;
        };
    }
}
export declare const TitleExtensionName = "title";
export declare const Title: Node<TitleOptions, any>;
