/**
 * 将 JSON 转为字符串
 * @param json
 */
export declare const jsonToStr: (json: Record<string, unknown>) => string;
/**
 * 将 JSON 转为 DOM 节点的 dataset
 * @param element
 * @param json
 */
export declare const jsonToDOMDataset: (json: Record<string, unknown>) => {
    key: string;
    value: string;
}[];
/**
 * 从 element 上提取 dataset 数据
 * @param element
 * @param attribute
 * @param transformToJSON 是否要转为 JSON
 */
export declare const getDatasetAttribute: (attribute: string, transformToJSON?: boolean) => (element: HTMLElement) => any;
/**
 * 将节点属性转换为 dataset
 * @param node
 * @returns
 */
export declare const nodeAttrsToDataset: (node: Node) => any;
