import { Node, ResolvedPos } from 'prosemirror-model';
import { EditorView } from 'prosemirror-view';
export type ActiveNode = Readonly<{
    $pos: ResolvedPos;
    node: Node;
    el: HTMLElement;
    offset: number;
}>;
export declare const selectRootNodeByDom: (dom: Element, view: EditorView) => ActiveNode | null;
