import * as all from '@tiptap/vue-3';
export type { Editor, JSONContent } from '@tiptap/vue-3';
export declare const extensions: (all.Mark<import("@tiptap/extension-code").CodeOptions, any> | all.Extension<any, any> | all.Node<any, any>)[];
export declare const generateHtml: (json: Record<string, any>) => string;
export declare const generateJson: (html: string) => Record<string, any>;
export declare const useEditor: (options?: Partial<all.EditorOptions> | undefined) => import("vue").ShallowRef<all.Editor | undefined>;
export declare const EditorContent: import("vue").DefineComponent<{
    editor: {
        default: null;
        type: import("vue").PropType<all.Editor>;
    };
}, {
    rootEl: import("vue").Ref<Element | undefined>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    editor: {
        default: null;
        type: import("vue").PropType<all.Editor>;
    };
}>>, {
    editor: all.Editor;
}>;
