import { defineComponent, resolveComponent, openBlock, createBlock, withCtx, createVNode, createElementVNode, unref } from "vue";
import { I as InlineSvg } from "./kit-ddc495fb.js";
import { d as deleteSvgPath } from "./index-cb3e841f.js";
import { _ as _sfc_main$1 } from "./index.vue_vue_type_script_setup_true_lang-e00de371.js";
import { d as deleteNode } from "./delete-node-731bb9cb.js";
import "element-plus";
const __default__ = defineComponent({
  name: "tiptap-menus-attachment"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    editor: null
  },
  setup(__props) {
    const props = __props;
    const shouldShow = () => {
      var _a;
      return (_a = props.editor) == null ? void 0 : _a.isActive("attachment");
    };
    const deleteMe = () => {
      deleteNode("attachment", props.editor);
    };
    return (_ctx, _cache) => {
      const _component_el_tooltip = resolveComponent("el-tooltip");
      const _component_el_space = resolveComponent("el-space");
      return openBlock(), createBlock(_sfc_main$1, {
        class: "bubble-menu",
        editor: __props.editor,
        "should-show": shouldShow,
        "plugin-key": "attachment-bubble-menu",
        "tippy-options": { maxWidth: "calc(100vw - 100px)" }
      }, {
        default: withCtx(() => [
          createVNode(_component_el_space, null, {
            default: withCtx(() => [
              createVNode(_component_el_tooltip, {
                content: "删除节点",
                effect: "dark",
                placement: "top",
                enterable: false,
                offset: 5,
                "hide-after": 0
              }, {
                default: withCtx(() => [
                  createElementVNode("button", {
                    class: "tiptap-button bg-hover-secondary",
                    onClick: deleteMe
                  }, [
                    createVNode(unref(InlineSvg), {
                      class: "w-17px h-17px",
                      src: unref(deleteSvgPath)
                    }, null, 8, ["src"])
                  ])
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["editor", "tippy-options"]);
    };
  }
});
export {
  _sfc_main as default
};
