import { Extension } from '@tiptap/core';
export type ColorOptions = {
    types: string[];
};
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        backgroundColor: {
            setBackgroundColor: (color: string) => ReturnType;
            unsetBackgroundColor: () => ReturnType;
        };
    }
}
export declare const BackgroundColor: Extension<ColorOptions, any>;
