import { Extension } from '@tiptap/core';
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        indent: {
            indent: () => ReturnType;
            outdent: () => ReturnType;
        };
    }
}
type IndentOptions = {
    types: string[];
    defaultIndentLevel: number;
};
export declare enum IndentProps {
    min = 0,
    max = 50,
    more = 1,
    less = -1
}
export declare const Indent: Extension<IndentOptions, any>;
export {};
