import { Node as ProseMirrorNode } from 'prosemirror-model';
import { Plugin } from 'prosemirror-state';
import { NodeView } from 'prosemirror-view';
declare class TableView implements NodeView {
    node: ProseMirrorNode;
    cellMinWidth: number;
    dom: HTMLElement;
    scrollDom: HTMLElement;
    table: HTMLElement;
    colgroup: HTMLElement;
    contentDOM: HTMLElement;
    constructor(node: ProseMirrorNode, cellMinWidth: number);
    update(node: ProseMirrorNode): boolean;
    ignoreMutation(mutation: MutationRecord | {
        type: 'selection';
        target: Element;
    }): boolean;
}
export declare function readonlyTableView({ cellMinWidth, View }?: {
    cellMinWidth?: number | undefined;
    View?: typeof TableView | undefined;
}): Plugin<{}>;
export declare const Table: import("@tiptap/core").Node<import("@tiptap/extension-table").TableOptions, any>;
export {};
