declare class Node {
    key: string;
    value: string | number;
    prev: Node | null;
    next: Node | null;
    constructor(key: any, value: any);
}
export declare class LRUCache {
    private capacity;
    private usedCapacity;
    private head;
    private tail;
    private store;
    constructor(capacity: any);
    private removeNode;
    private addToHead;
    private moveToHead;
    private removeTail;
    delete(key: any): void;
    get(key: any): string | number;
    put(key: any, value: any): void;
    keys(): string[];
    values(): (string | number)[];
    toJSON(): Record<string, Node>;
}
export declare const createKeysLocalStorageLRUCache: (storageKey: any, capacity: any) => {
    syncFromStorage(): void;
    syncToStorage(): void;
    remove(key: any): void;
    put(key: any): void;
    get(key?: string): string | number | string[];
};
export {};
