import { Editor } from '@tiptap/core';
import { Node } from 'prosemirror-model';
import { EditorState } from 'prosemirror-state';
export declare function isTitleNode(node: Node): boolean;
export declare function isBulletListNode(node: Node): boolean;
export declare function isOrderedListNode(node: Node): boolean;
export declare function isTodoListNode(node: Node): boolean;
export declare function isListNode(node: Node): boolean;
export declare function getCurrentNode(state: EditorState): Node;
export declare function getNodeAtPos(state: EditorState, pos: number): Node;
export declare function isInCustomNode(state: EditorState, nodeName: string): boolean;
export declare function isInCodeBlock(state: EditorState): boolean;
export declare function isInTitle(state: EditorState): boolean;
export declare function isInCallout(state: EditorState): boolean;
export declare const findNode: (editor: Editor, name: string) => (import("@tiptap/core").JSONContent | undefined)[];
