import { EditorState } from 'prosemirror-state';
import type { EditorView } from 'prosemirror-view';
type Point = [top: number, left: number];
export declare const calculateNodePosition: (view: EditorView, target: HTMLElement, handler: (selectedRect: DOMRect, targetRect: DOMRect, parentRect: DOMRect) => Point) => void;
type Rect = {
    left: number;
    right: number;
    top: number;
    bottom: number;
};
export declare const calculateTextPosition: (view: EditorView, target: HTMLElement, handler: (start: Rect, end: Rect, targetRect: DOMRect, parentRect: DOMRect) => Point) => void;
export declare const safePos: (state: EditorState, pos: any) => number;
export {};
