export default class EventBus {
    static instance: any;
    events: {
        [key: string]: Array<Function>;
    };
    constructor();
    emit(eventName: string, data?: any): void;
    on(eventName: string, fn: Function): void;
    off(eventName: string, fn: Function): void;
}
